<?php

	/**
	 *	Appearance / Tempo FAQ - config settings
	 */

	$settings = tempo_cfgs::merge( (array)tempo_cfgs::get( 'settings' ), array(
		'appearance' => array(
			'tempo-faq' => array(
			    'menu' => array(
			        'title'     => __( 'Theme FAQ', 'cronus' )
			    ),
			    'priority'	=> 1,
			    'update'	=> false,
			    'sections' 	=> array(
			    	array(
			    		'title' 		=> __( 'Frequently Asked Questions', 'cronus' ),
			    		'description'	=> __( 'Please read this small guide and follow the instructions. This guide will help you customize the theme for your needs.', 'cronus' ),
			    		'columns' 		=> array(

			    			// COLUMNS
							array(
								'layout' 			=> array(
									'sm'	=> 12,
									'md'	=> 6,
									'lg'	=> 6,
								),

								// BOXES
								'boxes' 			=> array( 
									array(
										'title' 	=> __( 'Welcome Message!', 'cronus' ),
										'template'	=> 'templates/admin/appearance/faq/welcome',
									),
									array(
										'title'		=> __( 'Translate the Theme ( Localization )', 'cronus' ),
										'template'  => 'templates/admin/appearance/faq/translate'
									),
									array(
										'title'		=> __( 'Custom CSS and Customizations', 'cronus' ),
										'template'  => 'templates/admin/appearance/faq/custom-css',
									)
									// license
								)
							),
							array(
								'layout' 			=> array(
									'sm'	=> 12,
									'md'	=> 6,
									'lg'	=> 6,
								),
								'boxes' 			=> array(
									array(
										'title'		=> __( 'Customize the Theme', 'cronus' ),
										'template'  => 'templates/admin/appearance/faq/customizer'
									)
								)
							)
			    		),

			    		'save' => true
				    ),
					array(
						'title' 		=> __( 'Please help us share the theme details', 'cronus' ),
						'description'	=> __( 'You can help us share the theme details on your social networks. Please share the message below and inform your friends about our great WordPress Theme.', 'cronus' ),
						'notification' 	=> array(
							'description' 	=> sprintf( __( 'Hello my friends. A few minutes ago I found Tempo freemium and easy to customize WordPress theme. I love it and I suggest you to try it! %s', 'cronus' ), '<a href="https://wordpress.org/themes/tempo/">https://wordpress.org/themes/tempo/</a>' ),
							'wrapper'		=> true,
							'align'			=> 'center',
							'style'			=> array(
								'margin-top' 	=> '10px',
								'margin-bottom' => '0px',
							)
						)
					),
					'cronus' => array(
						'title' 		=> __( 'Cronus + Zeon', 'cronus' ),
						'description'	=> sprintf( __( 'Zeon is a premium WordPress Plugin that extends the core functionality of the Cronus free WordPress theme and Tempo child themes.', 'cronus' ), '<br/>' ),
						'template'  	=> 'templates/admin/appearance/faq/premium',
						'style' 		=> array(
							'border-top'		=> '1px solid rgba( 0,0,0, 0.1 )',
							'margin-top' 		=> '100px'
						)
					),
					array(
						'title' 		=> __( 'Support and Feadback', 'cronus' ),
						'description'	=> sprintf( __( 'If you have questions about the theme or the theme features then you are welcome to use our forum.%s Also if you found bugs please provide us a feedback.', 'cronus' ), '<br/>' ),
						'template'  	=> 'templates/admin/appearance/faq/support',
						'style' 		=> array(
							'border-top'		=> '1px solid rgba( 0,0,0, 0.1 )',
							'border-bottom'		=> '1px solid rgba( 0,0,0, 0.1 )',
							'margin-top' 		=> '100px',
							'padding-bottom' 	=> '100px'
						)
					)
				)
			)
		)
	));

	tempo_cfgs::set( 'settings', $settings );
?>